## knxd-be1fcfe85cc1dfcc41f791cd9a45c57fe18da6a0.tar.gz

=== contrib/legacy-eibd/openwrt/Makefile ===
include $(TOPDIR)/rules.mk

PKG_NAME:=eibd
PKG_VERSION:=0.0.4.16
PKG_RELEASE:=4

PKG_SOURCE:=bcusdk_0.0.4+nmu16.tar.gz
# $(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://repo.wiregate.de/wiregate/pool/main/b/
PKG_MD5SUM:=d92f34a703d79421d90fa4e1258ca235

PKG_FIXUP:=libtool
PKG_INSTALL:=1

#PKG_BUILD_DEPENDS:=pthsem argp-standalone
#PKG_BUILD_DEPENDS:=pthsem uClibc++ libxml2 libusb argp-standalone
PKG_BUILD_DEPENDS:=pthsem uClibc++ argp-standalone

#PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_BUILD_DIR:=$(BUILD_DIR)/bcusdk

include $(INCLUDE_DIR)/package.mk

define Package/eibd/Default
  SECTION:=net
  CATEGORY:=Network
  TITLE:=eibd EIB/KNX 
  URL:=http://www.auto.tuwien.ac.at/~mkoegler/index.php/eibd
endef

define Package/libeibclient
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem +uclibcxx
  TITLE+= libeibclient
endef
define Package/eibd-server
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem uclibcxx
  TITLE+= server daemon
endef
define Package/eibd-bcuaddrtab
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem uclibcxx
  TITLE+= bcuaddrtab
endef
define Package/eibd-knxtool
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem uclibcxx libeibclient
  TITLE+= knxtool
endef
define Package/eibd-cgi
  $(call Package/eibd/Default)
  DEPENDS:=+pthsem uclibcxx libeibclient lighttpd lighttpd-mod-setenv lighttpd-mod-cgi
  TITLE+= cgi-clients
endef

define Build/Prepare
#markstaller@v1520-mm:~/openwrt/trunk$ cp build_dir/target-mips_r2_uClibc-0.9.32/pthsem-2.0.8/pthsem.m4 /home/markstaller/openwrt/trunk/staging_dir/#target-mips_r2_uClibc-0.9.32/usr/share/aclocal/
# dirty hack for useless libtool:
	$(CP) $(PKG_BUILD_DIR)/../pthsem-2.0.8/pthsem.m4 $(STAGING_DIR)/usr/share/aclocal/
	$(call Build/Prepare/Default)
endef

CONFIGURE_ARGS += \
	--enable-onlyeibd \
	--enable-eibnetiptunnel \
	--enable-eibnetip \
	--enable-eibnetipserver \
	--enable-tpuarts \
	--enable-ft12 \
	--disable-usb \
	--disable-pei16s \
	--enable-groupcache \
	--with-pth=yes \
	--without-pth-test \
	--without-libstdc 

#define Build/Compile
#	$(MAKE) -C $(PKG_BUILD_DIR) \
#		CC=$(TARGET_CC) \
#		LIBS="-L$(STAGING_DIR)/usr/lib -fno-builtin -nostdinc++ -nodefaultlibs -luClibc++ -lc -lm -lgcc -largp -lpthsem" \
#		CPPFLAGS="-I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include"
#		# -I$(LINUX_DIR)/include"
#endef
MAKE_FLAGS += \
	CFLAGS="$(TARGET_CFLAGS) -Wall -D_REENTRANT" \
	LIBS="-L$(STAGING_DIR)/usr/lib -fno-builtin -nostdinc++ -nodefaultlibs -luClibc++ -lc -lm -lgcc -largp -lpthsem" \
	CPPFLAGS="-I$(STAGING_DIR)/include -I$(STAGING_DIR)/usr/include" \
	all

define Build/InstallDev
	$(INSTALL_DIR) $(1)/usr/include
	$(CP) $(PKG_INSTALL_DIR)/usr/include/eibclient.h $(1)/usr/include/
	$(CP) $(PKG_INSTALL_DIR)/usr/include/eibloadresult.h $(1)/usr/include/
	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libeibclient.{a,so*} $(1)/usr/lib/
endef

define Package/libeibclient/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libeibclient.so.* $(1)/usr/lib/
endef

# FIXME: put/read eibd-config into/from UCI

define Package/eibd-server/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/eibd/server/eibd $(1)/usr/bin/
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) ./files/eibd.init $(1)/etc/init.d/eibd
#	$(INSTALL_DIR) $(1)/etc/default
#	$(INSTALL_BIN) ./files/eibd.default $(1)/etc/default/eibd
endef
define Package/eibd-server/postinst
#!/bin/sh
# check if we are on real system
if [ -z "$${IPKG_INSTROOT}" ]; then
        echo "Enabling rc.d symlink for eibd"
        /etc/init.d/eibd enable
        /etc/init.d/eibd start
fi
exit 0
endef

define Package/eibd-server/prerm
#!/bin/sh
# check if we are on real system
if [ -z "$${IPKG_INSTROOT}" ]; then
        echo "Removing rc.d symlink for eibd"
        /etc/init.d/eibd disable
        /etc/init.d/eibd stop
fi
exit 0
endef

define Package/eibd-bcuaddrtab/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/eibd/bcu/bcuaddrtab $(1)/usr/bin/
endef
define Package/eibd-cgi/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/eib*cgi $(1)/usr/bin/
	$(INSTALL_DIR) $(1)/www/cgi-bin
	ln -s /usr/bin/eibread-cgi $(1)/www/cgi-bin/r
	ln -s /usr/bin/eibwrite-cgi $(1)/www/cgi-bin/w
	$(INSTALL_BIN) ./files/cgi.l.sh $(1)/www/cgi-bin/l
endef
define Package/eibd-knxtool/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/knxtool $(1)/usr/bin/
	ln -s knxtool $(1)/usr/bin/knxread
	ln -s knxtool $(1)/usr/bin/knxreadtemp
	ln -s knxtool $(1)/usr/bin/knxwrite
	ln -s knxtool $(1)/usr/bin/knxlog
	ln -s knxtool $(1)/usr/bin/knxon
	ln -s knxtool $(1)/usr/bin/knxoff
	ln -s knxtool $(1)/usr/bin/knxif
	ln -s knxtool $(1)/usr/bin/knxswrite
	ln -s knxtool $(1)/usr/bin/knxbool
	ln -s knxtool $(1)/usr/bin/knxdimup
endef

$(eval $(call BuildPackage,libeibclient))
$(eval $(call BuildPackage,eibd-server))
$(eval $(call BuildPackage,eibd-bcuaddrtab))
$(eval $(call BuildPackage,eibd-knxtool))
$(eval $(call BuildPackage,eibd-cgi))

=== debian/changelog ===
knxd (0.10.5-1) UNRELEASED; urgency=medium

  * Fix flag handling
    Some flags were not cleared from the L2 options, causing the main code
    to conclude that they were not handled correctly.

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 17 Jul 2015 06:22:34 +0000

knxd (0.10.4-1) unstable; urgency=medium

  * Clean up eibread-cgi

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 16 Jul 2015 12:00:15 +0200

knxd (0.10.3-6) unstable; urgency=medium

  * Try to install systemd support only when available
  * Default to systemd support being enabled if possible
  * Cleanup built knxd.install
  * Merge 0.9 branch
  * Fix installation conflicts

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 15 Jul 2015 23:00:55 +0200

knxd (0.10.3-1) unstable; urgency=medium

  * Fix sock->sendaddr churn.
  * Include sys/select.h if available.
  * Clean up error handling
  * Delete Unix socket after closing it.
  * Debian packaging: do create /var/lib/knxd
  * Warn about wrongly-ordered or unrecognized flag options
  * Add a rudimentary test script
  * Merge 0.9 branch

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 05 Jul 2015 19:47:26 +0200

knxd (0.10.1-2) unstable; urgency=medium

  * Merge build fixes

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 27 Jun 2015 20:26:00 +0200

knxd (0.10.1-1) unstable; urgency=medium

  * Depend on systemd library
  * Fix systemd support

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 27 Jun 2015 16:00:51 +0000

knxd (0.10.0-2) unstable; urgency=medium

  * Bug fixes

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 26 Jun 2015 08:23:17 +0000

knxd (0.10.0-1) unstable; urgency=medium

  * Initial multi-L2 version

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 26 Jun 2015 08:23:17 +0000

knxd (0.9.3-1) unstable; urgency=medium

  * Update knxtool packaging:
    - exec unknown commands from /usr/lib/knxd
    - print errors to stderr, dammit
  * restore building eib{read,write}-cgi
    - and ship them in /usr/lib/knxtool

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 14 Jul 2015 03:13:11 +0200

knxd (0.9.2-1) unstable; urgency=medium

  * Fix knxtool packaging
  * Create "home" directory
  * Accept "local:" or "ip:" as URLs
  * Use "knxtool list" to get a list of applets

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 12 Jul 2015 06:56:18 +0200

knxd (0.9.1-3) unstable; urgency=medium

  * Conflict with eibd.

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 28 Jun 2015 14:36:42 +0200

knxd (0.9.1-2) unstable; urgency=medium

  * Build fixes

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 27 Jun 2015 20:24:46 +0200

knxd (0.9.1-1) unstable; urgency=medium

  * Release. (Sort of.)
  * Bugs fixed.

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 18 May 2015 07:24:02 +0200

knxd (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Timo <knxd@timo-wingender.de>  Tue, 16 Dec 2014 12:55:54 +0100

=== contrib/arch-build-system/PKGBUILD ===
pkgname='knxd-git'
pkgver='r100.06292d9'
pkgrel='0'
pkgdesc='A server which provides an interface to a KNX/EIB installation'
license='GPL2'

arch=('i686' 'x86_64' 'arm' 'armv6h' 'armv7h')
conflicts=('knxd' 'eibd')
provides=('knxd')
replaces=('eibd')
depends=('pthsem>=2.0.8' 'gcc-libs')
makedepends=('git' 'libtool' 'autoconf' 'automake')

source=("$pkgname::git+https://github.com/Makki1/knxd.git")
sha512sums=('SKIP')

pkgver() {
	cd "$srcdir/$pkgname"
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
	cd "$srcdir/$pkgname"
	./bootstrap.sh
	./configure --prefix="$pkgdir/usr"
	make
}

package() {
	cd "$srcdir/$pkgname"
	make install
}

=== debian/control ===
Source: knxd
Section: net
Priority: optional
Maintainer: Timo <knxd@timo-wingender.de>
Build-Depends: debhelper (>= 7.0.0),
  autotools-dev,
  libpthsem-dev, libpthsem20,
  libusb-1.0-0 (>= 1.0.10), libusb-1.0-0-dev (>= 1.0.10),
  pkg-config,
  libsystemd-daemon-dev,
  debianutils,
Standards-Version: 3.9.4
Homepage: https://github.com/Makki1/knxd
Vcs-Git: https://github.com/Makki1/knxd.git
#Vcs-Browser: 

Package: knxd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpthsem20, libusb-1.0-0 (>= 1.0.10)
Replaces: eibd, eibd-server
Conflicts: eibd, eibd-server
Description: knxd is a daemon to access a KNX bus
 knxd is a fork of eibd from bcusdk.
 This Package contains the daemon to access the bus.

Package: knxd-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpthsem20, libusb-1.0-0
Replaces: eibd-clients, eibd-server, libeibclient0
Conflicts: eibd-clients, eibd-server, libeibclient0
Description: Tools to use knxd
 These are tools to access a KNX bus over the knxs Daemon

Package: knxd-dev
Architecture: all
Description: Development files for knxd
 These are the development files for knxd clients

Package: knxd-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: documentation and examples for knxd
 These are example programs for knxd

#Package: knxd-doc
#Architecture: all
#Description: documentation for knxd
# <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=-format
export DEB_BUILD_HARDENING_FORMAT=0


# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ 

override_dh_clean:
	dh_clean
	rm -f debian/knxd.install

override_dh_auto_configure: configure
	dh_auto_configure -- --enable-usb --enable-eibnetip --enable-eibnetiptunnel --enable-eibnetipserver --enable-groupcache --enable-ft12 --enable-pei16s --enable-ncn5120 --enable-tpuarts --enable-dummy

configure: configure.ac debian/knxd.install
	sh bootstrap.sh

debian/knxd.install: debian/knxd.install.in
	cp $^ $@
	grep -qs 'HAVE_SYSTEMD_TRUE.*#' config.status || cat $@.systemd >> $@
